

"use strict"



//1


//Створюємо массив
const array = ["travel", "hello", "eat", "ski", "lift"]

//Створюємо массив для внесення необхідних значень
const trueArray = []

//Створюю цикл для перебирання всіх значень массиву array де кожне значення представленен як х
for (let x of array) {

    //Якщо х (тобто значення массиву) більше за 3 символи, тоді воно записується в массив trueArray
    if(x.length > 3) {
        trueArray.push(x)
    }

}

//Виводдимо в консоль довжину нового массиву, який складається з значень довжиною більше за 3 символи
console.log(`Відповідь до завдання 1: ${trueArray.length}`)



//Або так


//Створюємо змінну, в яку буе записуватись кількість значень массиву array довжиною більше за 3 символи
let y = 0;

//Створюємо метод forEach для перебору значень
array.forEach(function(array) {

    //Якщо значення містить більше 3х символів, тоді змінна "у" збільшується на 1 (y++)
    if (array.length > 3) {
        y++;
    }
})

//Виводимо значення змінної "у" (який є суммою значень довжиною більше за 3 символи)
console.log(`Ще одна відповідь до завдання 1: ${y}`)






//2


//Створюю массив з вихідними данними
const people = [
    {name: "Іван", age: 25, sex: "чоловіча"},
    {name: "Іванка", age: 26, sex: "жіноча"},
    {name: "Колян", age: 27, sex: "чоловіча"},
    {name: "Коляндра", age: 83, sex: "жіноча"}
]

//створюю массив, в який будуть записуватись name об"єктів зі значенням sex: "чоловіча"
const mans = []

//створюю цикл для перебирання всіх об"єктів в массиві people де "х" відображає назву об"єкту що перевіряється
for(let x of people) {

    //Перевіряємо чи є в "х" ключ-пара sex: "чоловіча"
    if(x.sex == "чоловіча") {

        //Якщо умова виконується, тоді в массив mans записується ім"я (x.name)
        mans.push(x.name)
    }
}

//Виводимо значення массиву mans (який містить імена всіх чоловіків массиву people) на єкран
console.log(`Відповідь до завдання 2: ${mans}, кількість чоловіків = ${mans.length}`)





//3

